-- #101
CREATE TABLE zip2taxus (
     z2t_id               integer  null
,    zipcode              varchar(50)  not null
,    salestaxrate         double  null
,    ratestate            double  null
,    reportingcodestate   varchar(50)  null
,    ratecounty           double  null
,    reportingcodecounty  varchar(50)  null
,    ratecity             double  null
,    reportingcodecity    varchar(50)  null
,    ratespecialdistrict  double  null
,    reportingcodespecialdistrict varchar(50)  null
,    city                 varchar(50)  not null
,    postoffice           varchar(50)  null
,    state                varchar(50)  not null
,    county               varchar(50)  null
,    shippingtaxable      bool  null
,    primaryrecord        bool  null
,    version              char(7)  not null

,   constraint pk_zip2taxus                     primary key (zipcode,city,state,version)
)
GO
CREATE INDEX i_zip2taxus_zipcode ON zip2taxus (zipcode)
GO

CREATE INDEX i_zip2taxus_city ON zip2taxus (city)
GO

CREATE INDEX i_zip2taxus_state ON zip2taxus (state)
GO

CREATE INDEX i_zip2taxus_salestaxrate ON zip2taxus (salestaxrate)
GO

CREATE INDEX i_zip2taxus_version ON zip2taxus (version)
GO

